Summary:	A tool for printing multiple pages of text on each printed page
Summary(de.UTF-8):	plaziert mehrere Textseiten auf eine einzelne Postscript-Seite
Summary(fr.UTF-8):	Place plusieurs pages de texte sur une simple page postscript
Summary(pl.UTF-8):	Narzędzie pozwalające umieścić wiele stron na jednym wydruku
Summary(tr.UTF-8):	Birden fazla metin sayfasını tek bir PostScript sayfasına yerleştirir
Name:		mpage
Version:	2.5.8
Release:	1
License:	BSD
Group:		Applications/Publishing
Source0:	https://www.mesa.nl/pub/mpage/%{name}-%{version}.tgz
# Source0-md5:	b697bf0ead7bbe32f1588e3a1155aec4
Patch0:		%{name}-make.patch
Patch4:		%{name}-j.patch
Patch5:		%{name}-level3.patch
URL:		https://www.mesa.nl/pub/mpage/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper. Mpage is
very useful for viewing large printouts without using up tons of
paper. Mpage supports many different layout options for the printed
pages. Mpage should be installed if you need a useful utility for
viewing long text documents without wasting paper.

%description -l de.UTF-8
mpage formatiert mehrere Seiten ASCII-Text in eine einzelne
PostScript-Seite. Es unterstützt eine große Auswahl von Layouts.

%description -l fr.UTF-8
mpage formate plusieurs pages de texte ASCII en un seule en
PostScript. Il reconnait plusieurs mises en pages.

%description -l pl.UTF-8
Mpage pobiera czyta pliki z czystym tekstem lub PostScriptem(TM),
zmniejsza rozmiar tekstu i drukuje na drukarce postscriptowej
umieszczając wiele stron na jednym wydruku. Mpage jest bardzo
użyteczny do drukowania dużych plików bez marnowania ton papieru.
Mpage obsługuje wiele opcji dotyczących wyglądu drukowanych stron.
Warto zainstalować mpage jeśli potrzebujemy narzędzia do drukowania
dużych dokumentów bez marnowania papieru.

%description -l tr.UTF-8
mpage çok sayfalı ASCII metinlerini tek bir PostScript sayfasına
biçimler. Sayfanın son şeklinin değişik biçimlerde elde edilebilmesine
olanak verir.

%prep
%setup -q
%patch0 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} \
	OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README NEWS TODO
%attr(755,root,root) %{_bindir}/mpage
%{_datadir}/mpage
%{_mandir}/man1/mpage.1*
%changelog
* Wed May 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mpage.git;a=log;h=master

* Wed May 29 2024 Jakub Bogusz <qboosh@pld-linux.org> a2919e5
- updated to 2.5.8

* Sat Mar 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> abd6bd7
- now package all files on x86_64 architectures

* Thu Feb 15 2007 qrczak <qrczak@pld-linux.org> 3a5f3aa
- Fixed a compilation error with a newer gcc
- Release 8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cfabfaf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 434cc9d
- converted to UTF-8

* Mon Feb 21 2005 Roman Werpachowski <roman.werpachowski@gmail.com> 8c7f4ba
- corrected Polish Summary

* Tue Mar 16 2004 Jakub Bogusz <qboosh@pld-linux.org> a64ee3b
- typo, release 7 for Ac

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d6360cf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e817a9a
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 6e541e3
- new %%doc

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 9b9fc08
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> de12805
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Mon Apr 30 2001 kloczek <kloczek@pld-linux.org> 3124eaa
- added using %%{rpmcflags} macro.

* Thu Feb 22 2001 kloczek <kloczek@pld-linux.org> 23dc96d
- release 6,
- merge rawhide patches,
- merge level3 patch from Conectiva.

* Thu Feb 22 2001 kloczek <kloczek@pld-linux.org> 682b4f0
- patch from Conectiva. Orginal comment:
 level raised to 3.0, since mpage simply includes a
 "ps wrapper" around the original PS code (it's easy to confirm
 that with a `diff`) and it is stupid to wrap a 3.0 document
 and stamp a "level=2.0" in the comment sction...

* Thu Feb 22 2001 kloczek <kloczek@pld-linux.org> 2cba0a1
- merge rawhde patches.

* Thu Jan 25 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 46fcd20
- 
Massive attack. We use -O0 instead -O flags while debug enabled.

* Sat Dec 23 2000 michuz <michuz@pld-linux.org> 25114f9
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

* Wed Sep 27 2000 kloczek <kloczek@pld-linux.org> 7902b5b
- release 2: use new rpm automation.

* Fri Jun 09 2000 kloczek <kloczek@pld-linux.org> a4e1bce
- added using %%{__make} macro.

